StarTeamList (Apache Ant API)
Keywords: org.apache.tools.ant.taskdefs.optional.starteam.StarTeamList class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.starteam
Class StarTeamList

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.tools.ant.taskdefs.optional.starteam.StarTeamTask
                  org.apache.tools.ant.taskdefs.optional.starteam.TreeBasedTask
                      org.apache.tools.ant.taskdefs.optional.starteam.StarTeamList

public class StarTeamList
extends TreeBasedTask

Produces a listing of the contents of the StarTeam repository at the specified view and StarTeamFolder. Created: Tue Dec 25 06:51:14 2001

Version:
  1.0
Author:
  Steve Cohen

Nested Class Summary

Nested classes inherited from class org.apache.tools.ant.taskdefs.optional.starteam.TreeBasedTask
`TreeBasedTask.UnmatchedFileMap`

Field Summary

Fields inherited from class org.apache.tools.ant.taskdefs.optional.starteam.TreeBasedTask
`DEFAULT_EXCLUDESETTING, DEFAULT_INCLUDESETTING`

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`StarTeamList()`

Method Summary
`protected com.starbase.starteam.View` | `createSnapshotView(com.starbase.starteam.View raw)` Override of base-class abstract function creates an appropriately configured view for checkoutlists - either the current view or a view from this.label.
`protected void` | `list(com.starbase.starteam.File reposFile, java.io.File localFile)`
`protected void` | `logOperationDescription(com.starbase.starteam.Folder starteamrootFolder, java.io.File targetrootFolder)` extenders should emit to the log an entry describing the parameters that will be used by this operation.
`protected static java.lang.String` | `pad(java.lang.String s, int padlen)`
`protected static java.lang.String` | `rpad(java.lang.String s, int padlen)`
`void` | `setLabel(java.lang.String label)` List files, dates, and statuses as of this label; optional.
`protected void` | `testPreconditions()` Required base-class abstract function implementation is a no-op here.
`protected void` | `visit(com.starbase.starteam.Folder starteamFolder, java.io.File targetFolder)` Implements base-class abstract function to perform the checkout operation on the files in each folder of the tree.

Methods inherited from class org.apache.tools.ant.taskdefs.optional.starteam.TreeBasedTask
`_setLabel, execute, getExcludes, getFullRepositoryPath, getIDofLabelInUse, getIncludes, getLabel, getLabelID, getLabelInUse, getRootLocalFolder, getRootStarteamFolder, isForced, isRecursive, isUsingRevisionLabel, isUsingViewLabel, logExcludes, logIncludes, logLabel, matchPatterns, setExcludes, setForced, setIncludes, setRecursive, setRootLocalFolder, setRootStarteamFolder, shouldProcess`

Methods inherited from class org.apache.tools.ant.taskdefs.optional.starteam.StarTeamTask
`getPassword, getProjectname, getServer, getServername, getServerport, getTypeNames, getURL, getUserName, getUserName, getViewname, getViewURL, openView, setPassword, setProjectname, setServername, setServerport, setURL, setUserName, setViewname`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, handleErrorFlush, handleErrorOutput, handleFlush, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StarTeamList

    public StarTeamList()

Method Detail

### setLabel

    public void setLabel(java.lang.String label)

  List files, dates, and statuses as of this label; optional. The label must exist in starteam or an exception will be thrown. If not specified, the most recent version of each file will be listed.

  Parameters:
    `label` - the label to be listed

### createSnapshotView

    protected com.starbase.starteam.View createSnapshotView(com.starbase.starteam.View raw)

  Override of base-class abstract function creates an appropriately configured view for checkoutlists - either the current view or a view from this.label.

  Specified by:
    `createSnapshotView` in class `StarTeamTask`
  Parameters:
    `raw` - the unconfigured `View`
  Returns:
    the snapshot `View` appropriately configured.

### testPreconditions

    protected void testPreconditions()
                              throws BuildException

  Required base-class abstract function implementation is a no-op here.

  Specified by:
    `testPreconditions` in class `TreeBasedTask`
  Throws:
    `BuildException` - not thrown in this implementation
  See Also:
    `execute()`

### logOperationDescription

    protected void logOperationDescription(com.starbase.starteam.Folder starteamrootFolder,
                                           java.io.File targetrootFolder)

  extenders should emit to the log an entry describing the parameters that will be used by this operation.

  Specified by:
    `logOperationDescription` in class `TreeBasedTask`
  Parameters:
    `starteamrootFolder` - root folder in StarTeam for the operation
    `targetrootFolder` - root local folder for the operation (whether specified by the user or not.

### visit

    protected void visit(com.starbase.starteam.Folder starteamFolder,
                         java.io.File targetFolder)
                  throws BuildException

  Implements base-class abstract function to perform the checkout operation on the files in each folder of the tree.

  Specified by:
    `visit` in class `TreeBasedTask`
  Parameters:
    `starteamFolder` - the StarTeam folder from which files to be checked out
    `targetFolder` - the local mapping of rootStarteamFolder
  Throws:
    `BuildException`

### list

    protected void list(com.starbase.starteam.File reposFile,
                        java.io.File localFile)
                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### pad

    protected static java.lang.String pad(java.lang.String s,
                                          int padlen)

### rpad

    protected static java.lang.String rpad(java.lang.String s,
                                           int padlen)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.